Create combo
curl --request POST \
--url https://api.prod.polymarketexchange.com/v1/combos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"legs": [
{
"symbol": "<string>"
}
]
}
'import requests
url = "https://api.prod.polymarketexchange.com/v1/combos"
payload = { "legs": [{ "symbol": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({legs: [{symbol: '<string>'}]})
};
fetch('https://api.prod.polymarketexchange.com/v1/combos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"combo": {
"id": "<string>",
"legs": [
{
"symbol": "<string>"
}
],
"createdTime": "2023-11-07T05:31:56Z",
"tickSize": 123
}
}Creates or returns the combo instrument for the supplied legs. Each authenticated exchange participant may create up to 1,000 new combo instruments per week across all of its accounts. The quota resets Monday at 00:00 UTC. Returning an existing canonical combo does not consume the quota.
POST
/
v1
/
combos
Create combo
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required array length:
2 - 10 elementsShow child attributes
Show child attributes
Response
200 - application/json
A successful response.
Show child attributes
Show child attributes
⌘I